<ion-header>
  <ion-toolbar>
    <ion-title>detalles de producto</ion-title>
    <ion-buttons slot="start">
      <ion-back-button text="" defaultHref="/"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="detail__container">
    <div class="detail__title">
      <span>Mis Tarjetas</span>
    </div>


    <div class="detail__card">
      <div class="row">
        <div class="col-6">
          <div class="detail__logo">
            <img src="../../../assets/img/details/logo_white.svg"/>
          </div>
        </div>
        <div class="col-6">
          <div class="detail__logo_brand">
            <img src="../../../assets/img/cards/mastercard.svg"/>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <div class="detail__num_product">
            {{productNumber}}
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-6">
          <div class="detail__nameClient">
            <span>{{this.nameClient}}</span>
          </div>
        </div>
        <div class="col-6">
          <div class="detail__date">
            <small>Fecha de V.</small>
            <span>{{this.dateCard}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="detail__denomination__toggle">

    <div class="detail__denomination">
      <ion-segment mode="md" scrollable value="RD" (ionChange)="segmentChanged($event)">
        <ion-segment-button value="RD">
          <ion-label>
            <span class="RD">RD</span>
          </ion-label>
        </ion-segment-button>
        <ion-segment-button value="US">
          <ion-label>
            <span class="US">
              US
            </span>
          </ion-label>
        </ion-segment-button>
      </ion-segment>
    </div>

  </div>



  <div class="detail__progressbar">
    <div class="row">
      <div class="col-12">
        <ion-progress-bar
        color="success"
        [value]="this.progress"
        style="width: 85%;" ></ion-progress-bar>
      </div>
      <div class="col-6">
        <div class="detail__balance">
          <div *ngIf="RDActive; else USActive">
            <span>RD$ {{BalanceRD | currency}}</span><br>
            <small>Consumido</small>
          </div>
          <ng-template #USActive>
            <span>US$ {{BalanceUS | currency}}</span>
            <br>
            <small>Consumido</small>
          </ng-template>
        </div>

      </div>
      <div class="col-6">
        <div class="detail__Limit">
          <div *ngIf="RDActive; else USActive2">
            <span>RD$ {{LimitRD | currency}}</span><br>
            <div>
              <small>Disponible</small>
            </div>
          </div>
          <ng-template #USActive2>
            <span>US$ {{this.LimitUSS | currency}}</span>
            <small >Disponible</small>
          </ng-template>
        </div>
      </div>
    </div>


    <div class="row">
      <div class="col-12">
        <div class="detail__pay">
          <button type="button" class="btn btn-outline-success"
          (click)="makePayments()" >
          <ion-spinner mode="ios" color="success" *ngIf="viewSpinner"></ion-spinner>
            <span *ngIf="!viewSpinner">Pagar</span>
          </button>
        </div>
      </div>
    </div>
  </div>


</ion-content>
